summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMattias Andrée2015-06-11 16:48:24 +0200
committerMattias Andrée2015-06-11 16:48:24 +0200
commit4767e336bbab7505c47b836e6993d59eb1763b56 (patch)
treec0e4330805e229b1fce37ff306a8a2d67a155095
downloadaur-4767e336bbab7505c47b836e6993d59eb1763b56.tar.gz
Initial import, version 0.9-2
-rw-r--r--.SRCINFO16
-rw-r--r--64bit.patch23
-rw-r--r--PKGBUILD29
3 files changed, 68 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a911e76e270
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = blender-plugin-vectex
+ pkgdesc = Vectex is a SVG vector texture plugin for Blender
+ pkgver = 0.9
+ pkgrel = 2
+ url = http://code.google.com/p/vectex/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = blender
+ source = http://vectex.googlecode.com/files/vectex-0.9-fix.tar.bz2
+ source = 64bit.patch
+ md5sums = e36937018056f072f35a8df3bb7574ad
+ md5sums = 98ddd03b81bff9b2f923e8fd5e449b1b
+
+pkgname = blender-plugin-vectex
+
diff --git a/64bit.patch b/64bit.patch
new file mode 100644
index 00000000000..29fb4338d53
--- /dev/null
+++ b/64bit.patch
@@ -0,0 +1,23 @@
+--- Makefile 2008-02-25 02:05:56.000000000 +0000
++++ Makefile_modified 2008-05-09 21:00:18.000000000 +0100
+@@ -8,7 +8,7 @@
+ expat: expat-1.95.8/.libs/libexpat.a
+
+ expat-1.95.8/.libs/libexpat.a:
+- cd expat-1.95.8; ./configure; make
++ cd expat-1.95.8; CFLAGS="$(CFLAGS) -fPIC" ./configure; make
+
+ INC=-fPIC -shared -O -ansi -Iblender -Iagg-2.5/include -Iexpat-1.95.8/lib
+ # -DDEBUG
+--- agg-2.5/src/Makefile 2006-10-09 05:07:22.000000000 +0100
++++ agg-2.5/src/Makefile_modified 2008-05-09 21:01:16.000000000 +0100
+@@ -53,7 +53,7 @@
+ rm -rf ctrl/SunWS_cache
+
+ %.o: %.cpp
+- $(CXX) -c $(CXXFLAGS) $*.cpp -o $@
++ $(CXX) -fPIC -c $(CXXFLAGS) $*.cpp -o $@
+
+ %.o: %.c
+- $(C) -c $(CXXFLAGS) $*.c -o $@
++ $(C) -fPIC -c $(CXXFLAGS) $*.c -o $@
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..487fdbe4dc5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Mattias Andrée <`base64 -d`(bWFhbmRyZWUK)@member.fsf.org>
+pkgname=blender-plugin-vectex
+pkgver=0.9
+pkgrel=2
+pkgdesc="Vectex is a SVG vector texture plugin for Blender"
+url="http://code.google.com/p/vectex/"
+license="GPL"
+arch=('i686' 'x86_64')
+depends=('blender')
+makedepends=()
+source=("http://vectex.googlecode.com/files/vectex-${pkgver}-fix.tar.bz2" '64bit.patch')
+md5sums=('e36937018056f072f35a8df3bb7574ad' '98ddd03b81bff9b2f923e8fd5e449b1b')
+
+build() {
+ cd "$srcdir/vectex-$pkgver"
+
+ if [ "${CARCH}" == "x86_64" ]; then
+ patch -p0 < $startdir/src/64bit.patch
+ fi
+
+ msg "Starting build process."
+ MAKEFLAGS= make || return 1
+}
+
+package() {
+ cd "$srcdir/vectex-$pkgver"
+ install -D -m755 vectex.so "$pkgdir/usr/share/blender/plugins/texture/vectex.so"
+}
+